Package net.shibboleth.shared.spring.factory

# Class ViewResolversFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<List<ViewResolver>>
net.shibboleth.shared.spring.factory.ViewResolversFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<List<ViewResolver>>`, `InitializingBean`

public class ViewResolversFactoryBean extends AbstractFactoryBean<List<ViewResolver>>
Class used for auto-wiring `ViewResolver` beans for Spring Web Flow.

Since:
  9.1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Class logger.
`private List<ViewResolver>`
`resolvers`
Underlying collection.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ViewResolversFactoryBean(List<ViewResolver> freeObjects)`
Auto-wiring point for resolvers.

## Method Summary

Modifier and Type
Method
Description
`protected List<ViewResolver>`
`createInstance()`
Template method that subclasses must override to construct the object returned by this factory.
`Class<List>`
`getObjectType()`
This abstract method declaration mirrors the method in the FactoryBean interface, for a consistent offering of abstract template methods.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Class logger.

### resolvers

@Nonnull private List<ViewResolver> resolvers
Underlying collection.

## Constructor Details

### ViewResolversFactoryBean

@Autowired public ViewResolversFactoryBean(@Nullable List<ViewResolver> freeObjects)
Auto-wiring point for resolvers.

Parameters:
  `freeObjects` - free-standing objects

## Method Details

### getObjectType

@Nullable public Class<List> getObjectType()
This abstract method declaration mirrors the method in the FactoryBean interface, for a consistent offering of abstract template methods.

Specified by:
  `getObjectType` in interface `FactoryBean<List<ViewResolver>>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<List<ViewResolver>>`
See Also:
  - `FactoryBean.getObjectType()`

### createInstance

@Nullable protected List<ViewResolver> createInstance() throws Exception
Template method that subclasses must override to construct the object returned by this factory.

Invoked on initialization of this FactoryBean in case of a singleton; else, on each `AbstractFactoryBean.getObject()` call.

Specified by:
  `createInstance` in class `AbstractFactoryBean<List<ViewResolver>>`
Returns:
  the object returned by this factory
Throws:
  `Exception` - if an exception occurred during object creation
See Also:
  - `AbstractFactoryBean.getObject()`